FreeCAD 0.17 Crash with automated drawing generator

Discussions about the development of the TechDraw workbench
User avatar
JMG
Posts: 278
Joined: Wed Dec 25, 2013 9:32 am
Location: Spain
Contact:

FreeCAD 0.17 Crash with automated drawing generator

Postby JMG » Mon Feb 19, 2018 6:19 pm

Hi,
I am working on an automated part to tech-draw drawing script and it crashes FreeCAD every time I run it.

This is the python code:

Code: Select all

import time
import FreeCADGui
from operator import itemgetter
import random

base_name = "EDCPI_"
drawing_revision = 'R0'
author_name = "JMG"
max_label = 50
current_label = 0

# create new document
FreeCAD.newDocument("Unnamed")
FreeCAD.setActiveDocument("Unnamed")
FreeCAD.ActiveDocument=App.getDocument("Unnamed")
FreeCAD.Gui.ActiveDocument=Gui.getDocument("Unnamed")

# create dummy objects
for i in range(max_label):
    obj = FreeCAD.ActiveDocument.addObject("Part::Feature", base_name + str(current_label))
    obj.Shape = Part.makeBox(random.randint(5,30),random.randint(5,30),random.randint(5,30) )
    obj.Placement.Base.x = random.randint( -100, 100 )
    obj.Placement.Base.y = random.randint( -100, 100 )
    obj.Placement.Base.z = random.randint( -100, 100 )
    current_label += 1


current_label = 0

def doDrawingForLabel(label):
    current_label = label
    for obj in FreeCAD.ActiveDocument.Objects:
        try:
            if int( obj.Label[len(base_name):] ) == current_label:
                if obj.Shape.Volume != 0:  #check for solid
                    # create and setup page
                    draw_page = FreeCAD.ActiveDocument.addObject("TechDraw::DrawPage", obj.Label )
                    # TODO TEMPLATE IN DEPENDENCE OF BOUND BOX
                    # adjust templat
                    template = FreeCAD.ActiveDocument.addObject( 'TechDraw::DrawSVGTemplate', 'Template')
                    template.Template =  "/usr/share/freecad-daily/Mod/TechDraw/Templates/A3_Landscape_ISO7200TD.svg"
                    draw_page.Template = template
                    # fill template
                    date = time.localtime()
                    template.setEditFieldContent("FC-DATE", str(date.tm_mday) + '/' + str( date.tm_mon ) + '/' + str( date.tm_year )  )
                    template.setEditFieldContent("DRAWING_TITLE", obj.Label )
                    template.setEditFieldContent("AUTHOR_NAME", author_name )
                    template.setEditFieldContent("FC-SC", "1:1")
                    template.setEditFieldContent("PN", obj.Label )
                    template.setEditFieldContent("FC-SH", str(current_label ) + " / " + str(max_label - 1 ) )
                    template.setEditFieldContent("FC-REV", drawing_revision )
                    # number of equal parts
                    part_counter = -1
                    for p in FreeCAD.ActiveDocument.Objects:
                        if p.Label == obj.Label:
                            part_counter +=1

                    template.setEditFieldContent("SI-4", str(part_counter) + " unidades" )
                    # set selection here
                    FreeCAD.Gui.Selection.clearSelection()
                    FreeCAD.Gui.Selection.addSelection(draw_page)
                    FreeCAD.Gui.Selection.addSelection(obj)
                    # create view
                    part_view = FreeCAD.ActiveDocument.addObject( 'TechDraw::DrawViewPart', obj.Label + "_view" )
                    draw_page.addView(part_view)
                    part_view.Source = [obj]
                    # check viewpoint refered
                    bbox_bounds = obj.Shape.BoundBox.XLength, obj.Shape.BoundBox.YLength, obj.Shape.BoundBox.ZLength
                    min_idx = min( enumerate(bbox_bounds), key=itemgetter(1))[0]
                    # add sheet dimension to data template
                    template.setEditFieldContent("FreeCAD_DRAWING", "Chapa de " + str( round(bbox_bounds[min_idx]) ) + "mm en Acero St 37" )
                    view_direction = FreeCAD.Vector(0.0,0.0,0.0)
                    view_direction[min_idx] = 1.0
                    part_view.Direction = view_direction
                    FreeCAD.ActiveDocument.recompute()
                    current_label += 1
                    break

        except ValueError:
            print obj.Label



for i in range(max_label):
    doDrawingForLabel(i)

The code looks for objects in the document sharing the same base label and starts creating techdraw pages for each different part. I've added a small initial header which creates some dummy objects with the required naming convention to facilitate testing.

The trace FreeCAD leaves on terminal is:

Code: Select all

FreeCAD 0.17, Libs: 0.17R13303 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2018
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Fasteners workbench Loaded
During initialization the error "'Tubos' already exists." occurred in /home/javier/.FreeCAD/Mod/TubosWorkbench/InitGui.py
Please look into the log file for further information
not a freecad file: .STEP
not a freecad file: .STL
Program received signal SIGSEGV, Segmentation fault.
#0  /lib/x86_64-linux-gnu/libc.so.6(+0x354b0) [0x7f3d636e84b0]
#1  /lib/x86_64-linux-gnu/libc.so.6(strlen+0x26) [0x7f3d6373e746]
#2  0x7f3d5e84ffc3 in Shiboken::setErrorAboutWrongArguments(_object*, char const*, char const**) from /usr/lib/x86_64-linux-gnu/libshiboken-python2.7.so.1.2+0x6c3
#3  /usr/lib/python2.7/dist-packages/PySide/QtCore.so(+0x117cb9) [0x7f3d3a480cb9]
#4  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x8ad0) [0x7f3d652ae9f0]
#5  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x85c) [0x7f3d653e405c]
#6  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(+0x13e370) [0x7f3d6533a370]
#7  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyObject_Call+0x43) [0x7f3d6530d273]
#8  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x47) [0x7f3d653e3487]
#9  0x7f3d3a103d99 in PySide::SignalManager::callPythonMetaMethod(QMetaMethod const&, void**, _object*, bool) from /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2+0x79
#10  /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2(+0x16459) [0x7f3d3a10b459]
#11  0x7f3d641b4166 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x626
#12  /usr/lib/python2.7/dist-packages/PySide/QtCore.so(+0x1a16e3) [0x7f3d3a50a6e3]
#13  0x7f3d641b9c83 in QObject::event(QEvent*) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0xa3
#14  /usr/lib/python2.7/dist-packages/PySide/QtCore.so(+0x1a1263) [0x7f3d3a50a263]
#15  0x7f3d646ccfdc in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x8c
#16  0x7f3d646d3f16 in QApplication::notify(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x2b6
#17  0x7f3d66332d94 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x54
#18  0x7f3d6419f90d in QCoreApplication::notifyInternal(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x8d
#19  /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1bd780) [0x7f3d641d2780]
#20  /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1ba8f1) [0x7f3d641cf8f1]
#21  /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x2a7) [0x7f3d5cdd7197]
#22  /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4a3f0) [0x7f3d5cdd73f0]
#23  /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f3d5cdd749c]
#24  0x7f3d641d02ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x7e
#25  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x272616) [0x7f3d6477a616]
#26  0x7f3d6419e18f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x3f
#27  0x7f3d6419e4f5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x1b5
#28  0x7f3d641a44b9 in QCoreApplication::exec() from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x99
#29  0x7f3d662ebb70 in Gui::Application::runApplication() from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x15b0
#30  freecad-daily(main+0x8b4) [0x403834]
#31  /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0) [0x7f3d636d3830]
#32  freecad-daily(_start+0x29) [0x404a79]

My FreeCAD info is:
OS: Linux Mint 18 Sarah
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13303 (Git)
Build type: None
Branch: master
Hash: b47e011c1cc6357fa776624d371ed434989c79b1
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: Spanish/Spain (es_ES)
If someone else can confirm this crash I'll post it to mantis.

(I placed the post here because tech-draw is the module involved, feel free to move this where it suits better)


Regards,
Javier.
FreeCAD scripts, animations, experiments and more: http://linuxforanengineer.blogspot.com.es/
Open source CNC hot wire cutter project (NiCr): https://github.com/JMG1/NiCr
Exploded Assembly Workbench: https://github.com/JMG1/ExplodedAssembly
wandererfan
Posts: 2770
Joined: Tue Nov 06, 2012 5:42 pm

Re: FreeCAD 0.17 Crash with automated drawing generator

Postby wandererfan » Tue Feb 20, 2018 1:46 am

EDIT: note that the macro will cause a crash on this machine, but only after 113 iterations vs 50 or less in the other configurations.
------------------------------------------------------
It doesn't crash on this machine:
OS: Ubuntu 12.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13290 +5 (Git)
Build type: debug
Branch: Fixes
Hash: f07d3a177f6c47e98c79f49a834775ce06cd9c0c
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
OCC version: 7.2.0
Locale: English/Canada (en_CA)
JMGGenerate.png
JMGGenerate.png (180.77 KiB) Viewed 1022 times
I'll try on a different configuration tomorrow. Are you trying to run this from FreeCADCmd? I don't think that will work.
Last edited by wandererfan on Thu Feb 22, 2018 12:03 pm, edited 1 time in total.
User avatar
JMG
Posts: 278
Joined: Wed Dec 25, 2013 9:32 am
Location: Spain
Contact:

Re: FreeCAD 0.17 Crash with automated drawing generator

Postby JMG » Tue Feb 20, 2018 8:26 am

wandererfan wrote:
Tue Feb 20, 2018 1:46 am
Are you trying to run this from FreeCADCmd? I don't think that will work.
Nope, just plain FreeCAD, running from launch icon or terminal (freecad-daily) crash the same.
FreeCAD scripts, animations, experiments and more: http://linuxforanengineer.blogspot.com.es/
Open source CNC hot wire cutter project (NiCr): https://github.com/JMG1/NiCr
Exploded Assembly Workbench: https://github.com/JMG1/ExplodedAssembly
wandererfan
Posts: 2770
Joined: Tue Nov 06, 2012 5:42 pm

Re: FreeCAD 0.17 Crash with automated drawing generator

Postby wandererfan » Tue Feb 20, 2018 6:43 pm

Confirm crash on:
OS: Ubuntu 16.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13303 (Git)
Build type: None
Branch: master
Hash: b47e011c1cc6357fa776624d371ed434989c79b1
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/Canada (en_CA)

with what looks to be the same backtrace:

Code: Select all

Program received signal SIGSEGV, Segmentation fault.
#0  /lib/x86_64-linux-gnu/libc.so.6(+0x354b0) [0x7f556e8b64b0]
#1  /lib/x86_64-linux-gnu/libc.so.6(strlen+0x26) [0x7f556e90c746]
#2  0x7f5569a4efc3 in Shiboken::setErrorAboutWrongArguments(_object*, char const*, char const**) from /usr/lib/x86_64-linux-gnu/libshiboken-python2.7.so.1.2+0x6c3
#3  /usr/lib/python2.7/dist-packages/PySide/QtCore.so(+0x117cb9) [0x7f5550f0acb9]
#4  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x8ad0) [0x7f557047c9f0]
#5  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x85c) [0x7f55705b205c]
#6  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(+0x13e370) [0x7f5570508370]
#7  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyObject_Call+0x43) [0x7f55704db273]
#8  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x47) [0x7f55705b1487]
#9  0x7f5550b94d99 in PySide::SignalManager::callPythonMetaMethod(QMetaMethod const&, void**, _object*, bool) from /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2+0x79
#10  /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2(+0x16459) [0x7f5550b9c459]
#11  0x7f556f382166 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x626
#12  /usr/lib/python2.7/dist-packages/PySide/QtCore.so(+0x1a16e3) [0x7f5550f946e3]
#13  0x7f556f387c83 in QObject::event(QEvent*) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0xa3
#14  /usr/lib/python2.7/dist-packages/PySide/QtCore.so(+0x1a1263) [0x7f5550f94263]
#15  0x7f556f89afdc in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x8c
#16  0x7f556f8a1f16 in QApplication::notify(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x2b6
#17  0x7f5571500d94 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x54
#18  0x7f556f36d90d in QCoreApplication::notifyInternal(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x8d
#19  /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1bd780) [0x7f556f3a0780]
#20  /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1ba929) [0x7f556f39d929]
#21  /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x2a7) [0x7f5567fd6197]
#22  /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4a3f0) [0x7f5567fd63f0]
#23  /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f5567fd649c]
#24  0x7f556f39e2ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x7e
#25  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x272616) [0x7f556f948616]
#26  0x7f556f36c18f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x3f
#27  0x7f556f36c4f5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x1b5
#28  0x7f556f3724b9 in QCoreApplication::exec() from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x99
#29  0x7f55714b9b70 in Gui::Application::runApplication() from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x15b0
#30  /usr/bin/freecad-daily(main+0x8b4) [0x403834]
#31  /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0) [0x7f556e8a1830]
#32  /usr/bin/freecad-daily(_start+0x29) [0x404a79]
But I don't recognize much in the trace. :(
wandererfan
Posts: 2770
Joined: Tue Nov 06, 2012 5:42 pm

Re: FreeCAD 0.17 Crash with automated drawing generator

Postby wandererfan » Tue Feb 20, 2018 7:12 pm

FWIW, the crash happens after the macro completes

Code: Select all

iteration: 47
iteration: 48
iteration: 49
drawing loop ended - exiting macro
Program received signal SIGSEGV, Segmentation fault.
#0  /lib/x86_64-linux-gnu/libc.so.6(+0x354b0) [0x7f9af6eee4b0]
#1  0x7f9af20869e9 in Shiboken::setErrorAboutWrongArguments(_object*, char const*, char const**) from /usr/lib/x86_64-linux-gnu/libshiboken-python2.7.so.1.2+0xe9
#2  /usr/lib/python2.7/dist-packages/PySide/QtCore.so(+0x117cb9) [0x7f9ad9542cb9]
#3  /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x8ad0) [0x7f9af8ab49f0]
User avatar
JMG
Posts: 278
Joined: Wed Dec 25, 2013 9:32 am
Location: Spain
Contact:

Re: FreeCAD 0.17 Crash with automated drawing generator

Postby JMG » Tue Feb 20, 2018 8:31 pm

wandererfan wrote:
Tue Feb 20, 2018 7:12 pm
FWIW, the crash happens after the macro completes
I confirm that too.

As an experiment, I have set the script to save the freecad document at each iteration. When it crashes, I re-open the document and run it from last iteration saved. This way I succesfully converted all the parts to drawings this way, and it makes me think that the crash is not dependent on the part being draw.
FreeCAD scripts, animations, experiments and more: http://linuxforanengineer.blogspot.com.es/
Open source CNC hot wire cutter project (NiCr): https://github.com/JMG1/NiCr
Exploded Assembly Workbench: https://github.com/JMG1/ExplodedAssembly
wandererfan
Posts: 2770
Joined: Tue Nov 06, 2012 5:42 pm

Re: FreeCAD 0.17 Crash with automated drawing generator

Postby wandererfan » Thu Feb 22, 2018 12:33 am

just adding a gdb backtrace:

Code: Select all

drawing loop ended - exiting macro
[Thread 0x7fffc9b7e700 (LWP 13556) exited]

Thread 1 "FreeCAD" received signal SIGSEGV, Segmentation fault.
0x00007ffff3b18746 in strlen () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) bt
#0  0x00007ffff3b18746 in strlen () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fffeec5afc3 in std::char_traits<char>::length (__s=0x0)
    at /usr/include/c++/5/bits/char_traits.h:267
#2  std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::assign (__s=0x0, this=0x7fffffffbf90)
    at /usr/include/c++/5/bits/basic_string.h:1166
#3  std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::operator= (__s=0x0, this=0x7fffffffbf90)
    at /usr/include/c++/5/bits/basic_string.h:559
#4  Shiboken::setErrorAboutWrongArguments (args=<optimized out>, 
    funcName=0x7fffd5dad5f0 "PySide.QtCore.QObject.blockSignals", 
    cppOverloads=0x7fffffffc0f0)
    at /build/shiboken-0qY8oQ/shiboken-1.2.2/libshiboken/basewrapper.cpp:529
#5  0x00007fffd5cb7cb9 in ?? ()
   from /usr/lib/python2.7/dist-packages/PySide/QtCore.so
#6  0x00007ffff56889f0 in call_function (oparg=<optimized out>, 
    pp_stack=0x7fffffffc1e0) at ../Python/ceval.c:4338
#7  PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>)
    at ../Python/ceval.c:2987
#8  0x00007ffff57be05c in PyEval_EvalCodeEx (co=<optimized out>, 
    globals=<optimized out>, locals=<optimized out>, args=<optimized out>, 
    argcount=0, kws=<optimized out>, kwcount=0, defs=0x0, defcount=0, 
    closure=0x0) at ../Python/ceval.c:3582
---Type <return> to continue, or q <return> to quit---
#9  0x00007ffff5714370 in function_call.lto_priv.348 (
    func=<function at remote 0x7fffcd086488>, arg=(), kw=0x0)
    at ../Objects/funcobject.c:523
#10 0x00007ffff56e7273 in PyObject_Call (
    func=<function at remote 0x7fffcd086488>, arg=<optimized out>, 
    kw=<optimized out>) at ../Objects/abstract.c:2546
#11 0x00007ffff57bd487 in PyEval_CallObjectWithKeywords (
    func=<function at remote 0x7fffcd086488>, arg=(), kw=<optimized out>)
    at ../Python/ceval.c:4219
#12 0x00007fffd5941d99 in PySide::SignalManager::callPythonMetaMethod(QMetaMethod const&, void**, _object*, bool) ()
   from /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2
#13 0x00007fffd5949459 in ?? ()
   from /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2
#14 0x00007ffff458e166 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#15 0x00007fffd5d416e3 in ?? ()
   from /usr/lib/python2.7/dist-packages/PySide/QtCore.so
#16 0x00007ffff4593c83 in QObject::event(QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#17 0x00007fffd5d41263 in ?? ()
   from /usr/lib/python2.7/dist-packages/PySide/QtCore.so
#18 0x00007ffff4aa6fdc in QApplicationPrivate::notify_helper(QObject*, QEvent*)
---Type <return> to continue, or q <return> to quit---
    () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#19 0x00007ffff4aadf16 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#20 0x00007ffff716b36a in Gui::GUIApplication::notify (this=0x7fffffffd6b0, 
    receiver=0xf56430, event=0x7fffffffcb80)
    at /home/mruser/Source/FreeCAD-src/src/Gui/GuiApplication.cpp:91
#21 0x00007ffff457990d in QCoreApplication::notifyInternal(QObject*, QEvent*)
    () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#22 0x00007ffff45ac780 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#23 0x00007ffff45a98f1 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#24 0x00007fffed410197 in g_main_context_dispatch ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#25 0x00007fffed4103f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007fffed41049c in g_main_context_iteration ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007ffff45aa2ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#28 0x00007ffff4b54616 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#29 0x00007ffff457818f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#30 0x00007ffff45784f5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#31 0x00007ffff457e4b9 in QCoreApplication::exec() ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#32 0x00007ffff70f9e91 in Gui::Application::runApplication ()
    at /home/mruser/Source/FreeCAD-src/src/Gui/Application.cpp:1902
#33 0x00000000004090af in main (argc=1, argv=0x7fffffffdf78)
    at /home/mruser/Source/FreeCAD-src/src/Main/MainGui.cpp:261
(gdb) 
(gdb) 
(gdb) 
wandererfan
Posts: 2770
Joined: Tue Nov 06, 2012 5:42 pm

Re: FreeCAD 0.17 Crash with automated drawing generator

Postby wandererfan » Thu Feb 22, 2018 12:36 am

JMG wrote:
Mon Feb 19, 2018 6:19 pm
If someone else can confirm this crash I'll post it to mantis.
Javier, you better make a ticket. I haven't found an answer yet. Gracias.
User avatar
JMG
Posts: 278
Joined: Wed Dec 25, 2013 9:32 am
Location: Spain
Contact:

Re: FreeCAD 0.17 Crash with automated drawing generator

Postby JMG » Thu Feb 22, 2018 8:47 am

FreeCAD scripts, animations, experiments and more: http://linuxforanengineer.blogspot.com.es/
Open source CNC hot wire cutter project (NiCr): https://github.com/JMG1/NiCr
Exploded Assembly Workbench: https://github.com/JMG1/ExplodedAssembly